Eclipse Platform Release 3.7

## org.eclipse.ui
Interface IKeyBindingService

All Known Subinterfaces:
  INestableKeyBindingService

Deprecated. See IContextService to manage scopes and IHandlerService to manage handlers. IAction can be proxied by org.eclipse.jface.commands.ActionHandler.

    public interface IKeyBindingService

The key binding service allows one to query or set the scope of Eclipse for the purposes of resolving key assignments to commands, and to register actions to handle specific commands. See the `org.eclipse.ui.commands` extension point for details.

A participating workbench part is responsible to register all its actions with this service. The part is also responsible to set the current scope.

This interface is not intended to be implemented or extended by clients.

Since:
  2.0
Restriction:
  This interface is not intended to be implemented by clients.

Method Summary
`String[]` `getScopes()` Deprecated. Returns the active accelerator scope ids.
`void` `registerAction(IAction action)` Deprecated. Registers an action with the key binding service.
`void` `setScopes(String[] scopes)` Deprecated. Sets the active accelerator scope ids.
`void` `unregisterAction(IAction action)` Deprecated. Unregisters an action with the key binding service.

Method Detail

### getScopes

    String[] getScopes()

  Deprecated.
  Returns the active accelerator scope ids.

  Returns:
    the active accelerator scope ids.

### registerAction

    void registerAction(IAction action)

  Deprecated.
  Registers an action with the key binding service.

  Parameters:
    `action` - the action to be registered with the key binding service.

### setScopes

    void setScopes(String[] scopes)

  Deprecated.
  Sets the active accelerator scope ids.

  Parameters:
    `scopes` - the active accelerator scope ids.

### unregisterAction

    void unregisterAction(IAction action)

  Deprecated.
  Unregisters an action with the key binding service.

  Parameters:
    `action` - the action to be unregistered with the key binding service.

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.